package com.ssj.bean.weixin.user.domain;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name = "tb_user_integral")
public class UserIntegral extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = -2946105953211664182L;
	/**
	 * 用户ID
	 */
	private String userId;
	/**
	 * 积分总额
	 */
	private BigDecimal  integral;
	/**
	 * 积分收益总额
	 */
	private BigDecimal  inIntegral;
	/**
	 * 积分支出总额
	 */
	private BigDecimal  exIntegral;
	
	/**
	 * 创建时间
	 */
	private Date createTime;
	
	private Integer  type;
	
	private BigDecimal user_yj; //押金
	private BigDecimal user_ye; //余额
	private BigDecimal user_qk; //欠款
	
	@Column(name = "user_id") 
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	@Column(name = "integral") 
	public BigDecimal getIntegral() {
		return integral;
	}
	public void setIntegral(BigDecimal integral) {
		this.integral = integral;
	}
	@Column(name = "in_integral") 
	public BigDecimal getInIntegral() {
		return inIntegral;
	}
	public void setInIntegral(BigDecimal inIntegral) {
		this.inIntegral = inIntegral;
	}
	@Column(name = "ex_integral") 
	public BigDecimal getExIntegral() {
		return exIntegral;
	}
	public void setExIntegral(BigDecimal exIntegral) {
		this.exIntegral = exIntegral;
	}
	@Column(name = "create_time",insertable = false, updatable = false) 
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "type",insertable = false) 
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public BigDecimal getUser_yj() {
		return user_yj;
	}
	public void setUser_yj(BigDecimal user_yj) {
		this.user_yj = user_yj;
	}
	public BigDecimal getUser_ye() {
		return user_ye;
	}
	public void setUser_ye(BigDecimal user_ye) {
		this.user_ye = user_ye;
	}
	public BigDecimal getUser_qk() {
		return user_qk;
	}
	public void setUser_qk(BigDecimal user_qk) {
		this.user_qk = user_qk;
	}
	
	
	

}
